/*
 * @(#)FBoolean.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */

package jp.co.iti.fagot.fob;

/**
 * Boolean
 * @author  千曳秀喜
 * @version 1.01 2001/01/07
 */
public class FBoolean extends FElement {

	/**
	 * コンストラクタ
	 */
	public FBoolean() {
	super();
	}

	/**
	 * コンストラクタ
	 */
	public FBoolean( boolean data ) {
	super( new Boolean(data) );
	}

	/**
	 * コンストラクタ
	 */
	public FBoolean( Boolean data ) {
	super(data);
	}

	/**
	 * コンストラクタ
	 */
	public FBoolean( FBoolean data ) {
	super();
	set(data);
	}

	/**
	 * 値の取得
	 */
	public boolean get() {
	return ( (isNull())?true:((Boolean)getData()).booleanValue() ) ;
	}

	/**
	 * 値の設定
	 */
	public void set(boolean data) {
	setData( new Boolean(data) ) ;
	}

	/**
	 * 値の設定
	 */
	public void set(FBoolean data) {
	setData( data.getData() ) ;
	}

	//## CLONE ########################################################
	/**
	 * 複製インスタンスの作成
	 * 各実現クラスにおいてインスタンスを生成する
	 * 仮想クラス（およびインスタンス化されないクラス）ではnullを返す
	 */
	public Object createClone() {
	return new FBoolean();
	}

}
